Subject: Re: [AVT] RTP Performance Evaluation

From: [email-masked]
Date: Fri, 22 Mar 2002 13:22:59 +0100

I would recommend you to consider "application friendlyness"
as the true key criterion:

specifically throughput of the RTP reception stack "alone" is not
the thing that will make a difference in the end, but instead
how much CPU ressource/interrupts are consumed by the
stack for a given throughput i.e. how much is left for media decoding.

unfortunately these things are not easy to measure
and are notably OS/platform dependant...

are you going to publish your results ?

regards,

Philippe Gentric
Software Architect
Philips MP4Net
[email-masked]
http://www.mpeg-4.philips.com

"Paddu S N" <[email-masked]>
Sent by: [email-masked]
03/19/2002 12:48

        To:     [email-masked]
        cc:     (bcc: Philippe Gentric/LIM/CE/PHILIPS)
        Subject:        [AVT] RTP Performance Evaluation
        Classification: 

Hi,

I am evaluating some of the public domain implementations of RTP/RTCP. and 

would like to do some kind of performance evaluation to figure out which 
implementation is better.

My question here is what metrics do i need to use, to measure RTP 
performance ?

One thing which readily comes to my mind is throughput. Do we also need to 

measure metrics like delay-jitter, end-to-end delay, etc ? i thought RTP 
does not provice any kind of QoS guarentees and hence it might not be 
meaningful to use delay-jitter as a parameter for measuring RTP 
performance. 
so i concluded measuring throughput is enough. but i might be wrong.

I would like to hear your views on the same. If you some suggestions on 
the 
metrics to use or on how to measure RTP performance ( tools which are 
already available, etc ) kindly let me know.

Thanks,
Paddu.

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt